MCUXpresso SDK API Reference Manual: WM8960 Adapter

| MCUXpresso SDK API Reference Manual Rev 2.11.1 NXP Semiconductors

- Main Page
- Related Pages
- API Reference

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
WM8960 Adapter
CODEC Common Driver

## Overview

The wm8960 adapter provides a codec unify control interface.

## Macros
#define | HAL_CODEC_WM8960_HANDLER_SIZE (WM8960_I2C_HANDLER_SIZE + 4)
| codec handler size

## Functions
status_t | HAL_CODEC_WM8960_Init (void *handle, void *config)
| Codec initilization. More...
status_t | HAL_CODEC_WM8960_Deinit (void *handle)
| Codec de-initilization. More...
status_t | HAL_CODEC_WM8960_SetFormat (void *handle, uint32_t mclk, uint32_t sampleRate, uint32_t bitWidth)
| set audio data format. More...
status_t | HAL_CODEC_WM8960_SetVolume (void *handle, uint32_t playChannel, uint32_t volume)
| set audio codec module volume. More...
status_t | HAL_CODEC_WM8960_SetMute (void *handle, uint32_t playChannel, bool isMute)
| set audio codec module mute. More...
status_t | HAL_CODEC_WM8960_SetPower (void *handle, uint32_t module, bool powerOn)
| set audio codec module power. More...
status_t | HAL_CODEC_WM8960_SetRecord (void *handle, uint32_t recordSource)
| codec set record source. More...
status_t | HAL_CODEC_WM8960_SetRecordChannel (void *handle, uint32_t leftRecordChannel, uint32_t rightRecordChannel)
| codec set record channel. More...
status_t | HAL_CODEC_WM8960_SetPlay (void *handle, uint32_t playSource)
| codec set play source. More...
status_t | HAL_CODEC_WM8960_ModuleControl (void *handle, uint32_t cmd, uint32_t data)
| codec module control. More...
static status_t | HAL_CODEC_Init (void *handle, void *config)
| Codec initilization. More...
static status_t | HAL_CODEC_Deinit (void *handle)
| Codec de-initilization. More...
static status_t | HAL_CODEC_SetFormat (void *handle, uint32_t mclk, uint32_t sampleRate, uint32_t bitWidth)
| set audio data format. More...
static status_t | HAL_CODEC_SetVolume (void *handle, uint32_t playChannel, uint32_t volume)
| set audio codec module volume. More...
static status_t | HAL_CODEC_SetMute (void *handle, uint32_t playChannel, bool isMute)
| set audio codec module mute. More...
static status_t | HAL_CODEC_SetPower (void *handle, uint32_t module, bool powerOn)
| set audio codec module power. More...
static status_t | HAL_CODEC_SetRecord (void *handle, uint32_t recordSource)
| codec set record source. More...
static status_t | HAL_CODEC_SetRecordChannel (void *handle, uint32_t leftRecordChannel, uint32_t rightRecordChannel)
| codec set record channel. More...
static status_t | HAL_CODEC_SetPlay (void *handle, uint32_t playSource)
| codec set play source. More...
static status_t | HAL_CODEC_ModuleControl (void *handle, uint32_t cmd, uint32_t data)
| codec module control. More...

## Function Documentation

status_t HAL_CODEC_WM8960_Init | ( | void * | handle,
|  | void * | config
| ) |  |

Parameters

  handle | codec handle.
  config | codec configuration.

Returns
  kStatus_Success is success, else initial failed.

status_t HAL_CODEC_WM8960_Deinit | ( | void * | handle | ) |

Parameters

  handle | codec handle.

Returns
  kStatus_Success is success, else de-initial failed.

status_t HAL_CODEC_WM8960_SetFormat | ( | void * | handle,
|  | uint32_t | mclk,
|  | uint32_t | sampleRate,
|  | uint32_t | bitWidth
| ) |  |

Parameters

  handle | codec handle.
  mclk | master clock frequency in HZ.
  sampleRate | sample rate in HZ.
  bitWidth | bit width.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetVolume | ( | void * | handle,
|  | uint32_t | playChannel,
|  | uint32_t | volume
| ) |  |

Parameters

  handle | codec handle.
  playChannel | audio codec play channel, can be a value or combine value of _codec_play_channel.
  volume | volume value, support 0 ~ 100, 0 is mute, 100 is the maximum volume value.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetMute | ( | void * | handle,
|  | uint32_t | playChannel,
|  | bool | isMute
| ) |  |

Parameters

  handle | codec handle.
  playChannel | audio codec play channel, can be a value or combine value of _codec_play_channel.
  isMute | true is mute, false is unmute.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetPower | ( | void * | handle,
|  | uint32_t | module,
|  | bool | powerOn
| ) |  |

Parameters

  handle | codec handle.
  module | audio codec module.
  powerOn | true is power on, false is power down.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetRecord | ( | void * | handle,
|  | uint32_t | recordSource
| ) |  |

Parameters

  handle | codec handle.
  recordSource | audio codec record source, can be a value or combine value of _codec_record_source.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetRecordChannel | ( | void * | handle,
|  | uint32_t | leftRecordChannel,
|  | uint32_t | rightRecordChannel
| ) |  |

Parameters

  handle | codec handle.
  leftRecordChannel | audio codec record channel, reference _codec_record_channel, can be a value or combine value of member in _codec_record_channel.
  rightRecordChannel | audio codec record channel, reference _codec_record_channel, can be a value combine of member in _codec_record_channel.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_SetPlay | ( | void * | handle,
|  | uint32_t | playSource
| ) |  |

Parameters

  handle | codec handle.
  playSource | audio codec play source, can be a value or combine value of _codec_play_source.

Returns
  kStatus_Success is success, else configure failed.

status_t HAL_CODEC_WM8960_ModuleControl | ( | void * | handle,
|  | uint32_t | cmd,
|  | uint32_t | data
| ) |  |

This function is used for codec module control, support switch digital interface cmd, can be expand to support codec module specific feature

Parameters

  handle | codec handle.
  cmd | module control cmd, reference _codec_module_ctrl_cmd.
  data | value to write, when cmd is kCODEC_ModuleRecordSourceChannel, the data should be a value combine of channel and source, please reference macro CODEC_MODULE_RECORD_SOURCE_CHANNEL(source, LP, LN, RP, RN), reference codec specific driver for detail configurations.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_Init | ( | void * | handle,
|  | void * | config
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  config | codec configuration.

Returns
  kStatus_Success is success, else initial failed.

static status_t HAL_CODEC_Deinit | ( | void * | handle | ) |
| inlinestatic

Parameters

  handle | codec handle.

Returns
  kStatus_Success is success, else de-initial failed.

static status_t HAL_CODEC_SetFormat | ( | void * | handle,
|  | uint32_t | mclk,
|  | uint32_t | sampleRate,
|  | uint32_t | bitWidth
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  mclk | master clock frequency in HZ.
  sampleRate | sample rate in HZ.
  bitWidth | bit width.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetVolume | ( | void * | handle,
|  | uint32_t | playChannel,
|  | uint32_t | volume
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  playChannel | audio codec play channel, can be a value or combine value of _codec_play_channel.
  volume | volume value, support 0 ~ 100, 0 is mute, 100 is the maximum volume value.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetMute | ( | void * | handle,
|  | uint32_t | playChannel,
|  | bool | isMute
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  playChannel | audio codec play channel, can be a value or combine value of _codec_play_channel.
  isMute | true is mute, false is unmute.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetPower | ( | void * | handle,
|  | uint32_t | module,
|  | bool | powerOn
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  module | audio codec module.
  powerOn | true is power on, false is power down.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetRecord | ( | void * | handle,
|  | uint32_t | recordSource
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  recordSource | audio codec record source, can be a value or combine value of _codec_record_source.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetRecordChannel | ( | void * | handle,
|  | uint32_t | leftRecordChannel,
|  | uint32_t | rightRecordChannel
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  leftRecordChannel | audio codec record channel, reference _codec_record_channel, can be a value or combine value of member in _codec_record_channel.
  rightRecordChannel | audio codec record channel, reference _codec_record_channel, can be a value combine of member in _codec_record_channel.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_SetPlay | ( | void * | handle,
|  | uint32_t | playSource
| ) |  |
| inlinestatic

Parameters

  handle | codec handle.
  playSource | audio codec play source, can be a value or combine value of _codec_play_source.

Returns
  kStatus_Success is success, else configure failed.

static status_t HAL_CODEC_ModuleControl | ( | void * | handle,
|  | uint32_t | cmd,
|  | uint32_t | data
| ) |  |
| inlinestatic

This function is used for codec module control, support switch digital interface cmd, can be expand to support codec module specific feature

Parameters

  handle | codec handle.
  cmd | module control cmd, reference _codec_module_ctrl_cmd.
  data | value to write, when cmd is kCODEC_ModuleRecordSourceChannel, the data should be a value combine of channel and source, please reference macro CODEC_MODULE_RECORD_SOURCE_CHANNEL(source, LP, LN, RP, RN), reference codec specific driver for detail configurations.

Returns
  kStatus_Success is success, else configure failed.